/*
	Note: code is provided for reference. Raw data are not provided to protect
	respondent anonymity. 
*/
clear
set scheme s1mono

set more off
insheet using "COVID Vaccines + Universal Pass + Taxes_July 8, 2020_11.56.csv", names

foreach var of varlist * {
local temp = `var'[1]
label var `var' "`temp'"
}

keep if consent =="I agree to participate"

drop *_firstclick
drop *_lastclick
drop *_clickcount

drop zip
drop ipaddress status responseid recipientlastname recipientfirstname recipientemail externalreference locationlatitude locationlongitude distributionchannel userlanguage useragent consent rid v302
drop taxfavor- q365_pagesubmit
drop random distribution* badluck* taxes taxtreatment optin*
drop justworldegalitarian_* meritocracy
drop mft1_* mft2_* 
drop survey_website survey_compensation survey_howmany

save anonymized_study1_luciddata.dta, replace
